*********
* Table
*********
* Importa primul tabel
* Importer premiere table
* Import first table
USE (importfromdocx("Cur bura"))
BROWSE TITLE "Import first table"
MODIFY STRUCTURE 
USE
ERASE "Cur bura.dbf"
ERASE "Cur bura.fpt"

* Importa al doilea tabel
* Importer deuxieme table
* Import second table
USE (importfromdocx("Cur bura", , 2))
BROWSE TITLE "Import second table"
MODIFY STRUCTURE 
USE
ERASE "Cur bura.dbf"
ERASE "Cur bura.fpt"

* Importa al doilea tabel, incepand cu cea de-a doua linie
* Importer deuxieme table, en commenant par la deuxieme ligne
* Import second table, beginning with the second row
USE (importfromdocx("Cur bura", 2, 2))
BROWSE TITLE "Import second table, beginning with the second row"
MODIFY STRUCTURE 
USE
ERASE "Cur bura.dbf"
ERASE "Cur bura.fpt"

* Importa al doilea tabel, incepand cu cea de-a treia linie
* Importer deuxieme table, en commenant par la troisieme ligne
* Import second table, beginning with the third row
USE (importfromdocx("Cur bura", 3, 2))
BROWSE TITLE "Import second table, beginning with the third row"
MODIFY STRUCTURE 
USE
ERASE "Cur bura.dbf"
ERASE "Cur bura.fpt"

* Importa al doilea tabel, incepand cu cea de-a patra linie
* Importer deuxieme table, en commenant par la quatrieme ligne
* Import second table, beginning with the fourth row
USE (importfromdocx("Cur bura", 4, 2))
BROWSE TITLE "Import second table, beginning with the fourth row"
MODIFY STRUCTURE 
USE
ERASE "Cur bura.dbf"

* Importa al treilea tabel
* Importer troisieme table
* Import third table
USE (importfromdocx("Cur bura", , 3))
BROWSE TITLE "Import third table"
MODIFY STRUCTURE 
USE
ERASE "Cur bura.dbf"

* Importa al treilea tabel, incepand cu cea de-a doua linie
* Importer troisieme table, en commenant par la deuxieme ligne
* Import third table, beginning with the second row
USE (importfromdocx("Cur bura", 2, 3))
BROWSE TITLE "Import third table, beginning with the second row"
MODIFY STRUCTURE 
USE
ERASE "Cur bura.dbf"

* Importa al treilea tabel, incepand cu cea de-a treia linie
* Importer troisieme table, en commenant par la troisieme ligne
* Import third table, beginning with the third row
USE (importfromdocx("Cur bura", 3, 3))
BROWSE TITLE "Import third table, beginning with the third row"
MODIFY STRUCTURE 
USE
ERASE "Cur bura.dbf"

*********
* Cursor
*********
* Importa al treilea tabel, incepand cu cea de-a treia linie si genereaza un cursor (in locul unui tabel)
* Importer troisieme table, en commenant par la troisieme ligne, et cre un cursor a la place d'une table
* Import third table, beginning with the third row, and creates a cursor instead of a table
ccur = importfromdocx("Cur bura", 3, 3, , , .T.)
SELECT (ccur)
BROWSE TITLE "Import third table, beginning with the third row, and creates a cursor instead of a table"
MODIFY STRUCTURE